<!doctype html>
<html>
  <head>
    <title>{Title}</title>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content='IE=edge' />
    <meta name="viewport" content="width=device-width" />
    <meta name="apple-mobile-web-app-capable" content="yes">

    <link rel="shortcut icon" href="{Favicon}">
    <link rel="apple-touch-icon-precomposed" href="{PortraitURL-128}">
    <link rel="apple-touch-icon" sizes="57x57" href="{PortraitURL-64}">
    <link rel="apple-touch-icon" sizes="60x60" href="{PortraitURL-64}">
    <link rel="apple-touch-icon" sizes="72x72" href="{PortraitURL-64}">
    <link rel="apple-touch-icon" sizes="76x76" href="{PortraitURL-96}">
    <link rel="apple-touch-icon" sizes="114x114" href="{PortraitURL-128}">
    <link rel="apple-touch-icon" sizes="120x120" href="{PortraitURL-128}">
    <link rel="apple-touch-icon" sizes="144x144" href="{PortraitURL-128}">
    <link rel="apple-touch-icon" sizes="152x152" href="{PortraitURL-128}">
    <link rel="apple-touch-icon" sizes="180x180" href="{PortraitURL-128}">
    <link rel="icon" type="image/png" href="{PortraitURL-30}" sizes="32x32">
    <link rel="icon" type="image/png" href="{PortraitURL-128}" sizes="192x192">
    <link rel="icon" type="image/png" href="{PortraitURL-96}" sizes="96x96">
    <link rel="icon" type="image/png" href="{PortraitURL-16}" sizes="16x16">
    <meta name="msapplication-TileColor" content="{BackgroundColor}">
    <meta name="msapplication-TileImage" content="{PortraitURL-128}">
    <meta name="theme-color" content="{BackgroundColor}">

    {block:Description}
    <meta name="description" content="{MetaDescription}" />
    {/block:Description}

    <meta name="color:Background" content="#fff" />
    <meta name="color:Text" content="#000" />
    <meta name="color:Accent color" content="#000" />
    <meta name="if:Grid Layout" content="1">
    <meta name="if:Show Credit" content="1">
    <meta name="if:Show post footer" content="1">
    <meta name="if:Show post tags" content="1">
    <meta name="if:Show post date" content="1">
    <meta name="if:Show post social" content="1">
    <meta name="text:Google analytics ID" content="">

    <link rel="alternate" type="application/rss+xml" href="{RSS}">
    <link href='https://cdnjs.cloudflare.com/ajax/libs/normalize/3.0.3/normalize.min.css' type='text/css'>

    <style>
     /**
	Tumblr Starter Theme (boilerplate)
	Copyright 2014-2017 internet4000
	https://github.com/hugurp/tumblr-boilerplate

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation version 3 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
      */

     /*
	Base
      */
     *, *:before, *:after { box-sizing: border-box; -moz-box-sizing: border-box; }
     html {
	 line-height: 1.5;
	 font-size: 16px;
	 font-family: sans-serif;
	 font-family: 'Georgia', 'Helvetica', sans-serif, serif;
	 font-weight: 300;
     }
     body {
	 margin: 0;
	 color: {color:Text};
	 background-color: {BackgroundColor};
     }
     img,
     iframe {
	 max-width: 100%;
	 vertical-align: top;
     }
     figure {
	 margin: 0;
     }
     h1, h2, h3, h4 {
	 margin-top: 0;
     }
     a,
     a:visited {
	 text-decoration: underline;
	 color: {AccentColor};
     }
     a:hover,
     a:focus {
	 text-decoration: underline;
	 color: {AccentColor};
	 outline: 0;
     }
     p {
	 margin-top: 0;
     }


     /*
	Layout
      */

     .Site {
	 padding: 1rem;
	 display: flex;
	 flex-direction: column;
     }
     @media screen and (min-width: 50rem) {
	 .Site {
             flex-direction: row;
	 }
     }
     .SiteHeader,
     .SiteFooter {
	 text-align: left;
     }
     .SiteHeader {
	 padding: 2rem;
	 padding-top: 3rem;
	 position: fixed;
	 top: 0;
	 left: 0;
	 bottom: 0;
	 width: 100%;
	 max-width: 30rem;
	 z-index: 1;
	 transform: translateX(-100%);
	 background-color: white;
     }
     .SiteHeader.is-active {
	 transform: translateX(0);
     }
     .SiteMain {
	 width: 100%;
     }

     .SiteTitle {
	 margin-bottom: 0.7rem;
	 line-height: 1.3;
     }
     .SiteTitle a {
	 text-decoration: none;
	 font-weight: {TitleFontWeight};
	 font-family: {TitleFont};
     }
     .SiteFooter {
	 font-size: 0.8rem;
     }

     .Section {
	 padding-bottom: 2rem;
     }
     .Container {
	 margin: 0 auto;
	 max-width: 80rem;
	 padding-left: 1rem;
	 padding-right: 1rem;
     }

     /*
	Components
      */
     /* article */
     .Articles {
	 display: flex;
	 flex-direction: row;
	 flex-wrap: wrap;
     }
     .Articles--grid {
	 margin-left: -1rem;
	 margin-right: -1rem;
     }
     .Article {
	 width: 100%;
	 padding: 1rem;
	 margin-bottom: 2rem;
     }
     @media screen and (min-width: 50rem) {
	 .Article {
             width: 33%;
             padding: 1rem;
    	     margin-bottom: 2rem;
	 }
	 .Article.Article--text {
             width: 66%;
	 }  
     }
     .Article.Article--detail {
	 width: 100%;
	 margin-bottom: 0;
	 padding: 0;
     }
     .Article--detail.Article--text {
	 max-width: 50rem;
     }
     .Article img {
	 max-height: 90vh;
     }
     .Article-media {
	 display: inline-block;
	 padding-bottom: 0.5rem;
	 overflow: auto;
     }
     .Article-title {
	 margin-bottom: 0;
     }
     .Article-subtitle {
	 margin-bottom: 0;
	 font-style: italic;
     }

     /* navigation */
     .Nav--site {
	 display: flex;
	 flex-direction: column;
     }
     .Nav-item {
	 margin-right: 1rem;
	 text-decoration: none;
     }
     .Nav-item:visited {
	 color: inherit;
     }
     @media screen and (min-width: 50rem) {
	 .Nav--site {
             flex-direction: column;
	 }
	 .Nav-item {
             margin-right: 0;
             margin-bottom: 0.5rem;
	 }
     }
     .Nav-item--credits {
	 position: absolute;
	 bottom: 1rem;
	 left: 1rem;
     }

     /* Pagination */
     .Pagination {
	 position: fixed;
	 right: 0;
	 bottom: 2rem;
	 padding-right: 1rem;
     }
     .PaginationItem {
	 padding: 0.6rem 1.1rem;
	 border: 1px solid black;
	 text-decoration: none;
	 color: {TextColor};
	 background-color: {BackgroundColor};
     }
     .PaginationItem:visited {
	 color: inherit;
     }
     .PaginationItem--hidden {
	 display: none;
     }

     .NavToggle {
	 z-index: 2;
	 position: fixed;
	 top: 0;
	 left: 0;
	 padding: 1rem 0.6rem;
	 cursor: pointer;
     }
     .NavToggle--overlay {
	 display: none;
	 background-color: #f3f3f3cc;
	 opacity: 0;
	 transition: opacity 500ms ease-in-out;
     }
     .NavToggle.is-active span {
	 transform: rotateY(0);
     }
     .NavToggle--overlay.is-active {
	 display: block;
	 opacity: 1;
	 z-index: 1;
	 right: 0;
	 bottom: 0;
     }
     .NavToggle span {
	 display: block;
	 content: '';
	 background-color: black;
	 width: 0.8rem;
	 height: 0.20rem;
	 border-radius: 2px;
	 margin-bottom: 2px;
	 transform: rotateY(180deg);
	 transition: transform 300ms cubic-bezier(0.165, 0.84, 0.4, 1);
     }
     .NavToggle span:nth-child(2) {
	 transition-duration: 600ms
     }
     .NavToggle span:nth-child(3) {
	 transition-duration: 1000ms
     }
     {CustomCSS}

    </style>
  </head>

  <body class="Site {block:PermalinkPage}Site--detail{/block:PermalinkPage}">
    
    <div class="NavToggle">
      <span></span>
      <span></span>
      <span></span>
    </div>
    <div class="NavToggle NavToggle--overlay"></div>
    
    <header class="SiteHeader">
      {block:ShowHeaderImage}
      <figure class="HeaderImage">
        <img src="{HeaderImage}" alt="{Title}">
      </figure>
      {/block:ShowHeaderImage}
      
      <h1 class="SiteTitle"><a href="/">{Title}</a></h1>
      
      {block:ShowDescription}
      {block:Description}
      <p class="SiteDescription">
        {Description}
      </p>
      {/block:Description}
      {/block:ShowDescription}
      
      <nav class="Nav Nav--site">
	{block:HasPages}
        {block:Pages}
        <a class="Nav-item" href="{URL}">{Label}</a>
        {/block:Pages}
	{/block:HasPages}
        
        {block:SubmissionsEnabled}
        <a class="Nav-item" href="/submit">{SubmitLabel}</a>
        {/block:SubmissionsEnabled}
        
        {block:AskEnabled}
        <a class="Nav-item" href="/ask">{AskLabel}</a>
        {/block:AskEnabled}

	{block:IfShowCredit}
    	<a class="Nav-item Nav-item--credits" href="https://tumblr.internet4000.com" title="Theme: Focus Photography 2 (portfolio)">Theme</a>
	{/block:IfShowCredit}
      </nav>

    </header>

    <main id="SiteMain" class="SiteMain">
      <section class="Section Section--articles Container">

	{block:TagPage}
        <h1 class="SiteTitle">
	  <a href="{URLSafeTag}">{Tag}</a>
        </h1>
        {/block:TagPage}
	
	<div class="Articles {block:IndexPage}{block:IfGridLayout}Articles--grid{/block:IfGridLayout}{/block:IndexPage}">    
	  {block:Posts}
	  <article class="Article {block:PermalinkPage}Article--detail{/block:PermalinkPage} Article--{PostType} Article--{PostID} {TagsAsClasses}">
	    {block:Text}
	    <header class="Article-header">
	      {block:Title}
	      <h1 class="Article-title"><a href="{Permalink}">{Title}</a></h1>
	      {/block:Title}
	    </header>

	    <div class="Article-body">{Body}</div>
	    {/block:Text}

	    {block:Photo}
	    <figure>
	      <a class="Article-media Article-media--photo" href="{Permalink}">
		<img src="{PhotoURL-HighRes}" alt="{PhotoAlt}"/>
	      </a>
	      {block:Caption}
	      <figcaption class="Article-body">
		{Caption}
	      </figcaption>
	      {/block:Caption}
	    </figure>
	    {/block:Photo}

	    {block:Panorama}
	    {LinkOpenTag}
	    <figure>
	      <a class="Article-media Article-media--panorama" href="{Permalink}">
		<img src="{PhotoURL-Panorama}" alt="{PhotoAlt}"/>
	      </a>
	      {block:Caption}
	      <figcaption class="Article-body">
		{Caption}
	      </figcaption>
	      {/block:Caption}
	    </figure>
	    {LinkCloseTag}
	    {/block:Panorama}

	    {block:Photoset}
	    <figure>
	      <a class="Article-media Article-media--photoset" href="{Permalink}">
		{Photoset-700}
	      </a>
	      {block:Caption}
	      <figcaption class="Article-body">
		{Caption}
	      </figcaption>
	      {/block:Caption}
	    </figure>
	    {/block:Photoset}

	    {block:Quote}
	    <blockquote class="Article-body Blockquote">
	      <p class="Blockquote-quote">"{Quote}"</p>

	      {block:Source}
	      <cite class="Blockquote-source">{Source}</cite>
	      {/block:Source}
	    </blockquote>
	    {/block:Quote}

	    {block:Link}
	    <a href="{URL}" {Target} class="Article-header">
	      {block:Host}
	      <p class="Article-subtitle">{Host}</p>
	      {/block:Host}
	      <h1 class="Article-title">{Name}</h1>
	    </a>
	    {block:Description}
	    <div class="Article-body">{Description}</div>
	    {/block:Description}
	    {/block:Link}

	    {block:Chat}
	    <header class="Article-header">
	      {block:Title}
	      <h1 class="Article-title"><a href="{Permalink}">{Title}</a></h1>
	      {/block:Title}
	    </header>

	    <div class="Article-body">
	      {block:Lines}
	      <p class="User User-{UserNumber}">
		{block:Label}
		<span class="label">{Label}</span>
		{/block:Label}{Line}
	      </p>
	      {/block:Lines}
	    </div>
	    {/block:Chat}

	    {block:Video}
	    <figure>
	      <div class="Article-media">
		{Video-500}
	      </div>
	      {block:Caption}
	      <figcaption class="Article-body">
		{Caption}
	      </figcaption>
	      {/block:Caption}
	    </figure>
	    {/block:Video}

	    {block:Audio}
	    <figure>
	      <div class="Article-media">
		{block:AlbumArt}
		<img src="{AlbumArtURL}" alt="">
		{/block:AlbumArt}
	      </div>

	      {block:Caption}
	      <figcaption class="Article-body">
		{Caption}
	      </figcaption>
	      {/block:Caption}
	    </figure>

	    <div class="Article-media ">
	      {AudioPlayerBlack}
	    </div>
	    {/block:Audio}


	    {block:IfNotShowFooter}{/block:IfNotShowFooter}
	    {block:IfShowArticleFooter}
	    <footer class="Article-footer">

	      {block:IfShowTags}
	      {block:HasTags}
	      <div class="Tags">
		<span class="Tag Tag--postType">{PostType}</span>
		{block:Tags}
		<a class="Tag" rel="tag" href="{TagURL}" title="{lang:Posts tagged Tag}">{Tag}</a>
		{/block:Tags}
	      </div>
	      {/block:HasTags}
	      {/block:IfShowTags}

	      {block:Date}
	      <time class="Article-publishedTime"><a href="{Permalink}">{Year}/{MonthNumberWithZero}/{DayOfMonthWithZero}</a></time>
	      {/block:Date}

	      {block:IfShowSocial}
	      <div class="Article-social">
		<span class="Social Social--facebook"><a title="Share to Facebook" href="https://www.facebook.com/sharer.php?u={Permalink}">Facebook</a></span>
		<span class="Social Social--twitter"><a title="Tweet" href="https://twitter.com/intent/tweet?url={Permalink}" target="_blank">Twitter</a></span>
		<span class="Social Social--reblog">{ReblogButton color="grey" size="16"}</span>
		<span class="Social Social--like">{LikeButton color="grey" size="16"}</span>
		<span class="Social Social--url"><a href="{ShortURL}">Post URL</a></span>
		<span class="Social Social--url"><a href="{EmbedUrl}">Embed URL</a></span>
	      </div>
	      {block:RebloggedFrom}
	      <div class="Article-history">
		<p>Reblogged from <a href="{ReblogParentURL}" title="{ReblogRootTitle}">{ReblogRootName}</a></p>
		<p>Orignaly posted by <a href="{ReblogRootURL}" title="{ReblogRootTitle}">{ReblogRootName}</a></p>
	      </div>
	      {/block:RebloggedFrom}
	      {/block:IfShowSocial}
	    </footer>
	    {/block:IfShowArticleFooter}


	  </article>
	  {/block:Posts}
	</div>
      </section>

      {block:PermalinkPage}
      {block:IfDisqusShortname}
      <section class="Section Section--comments">
	<div id="disqus_thread"></div>
      </section>
      {/block:IfDisqusShortname}
      {/block:PermalinkPage}

      <footer id="SiteFooter" class="SiteFooter Container">
	<nav id="PaginationContainer">
	  {block:IndexPage}
	  <div class="Pagination Pagination--indexPage">
	    {block:PreviousPage}
	    <a class="PaginationItem PaginationItem--home" title="Go to Homepage (up-arrow)" href="/">&#171;&#171; Home</a>
	    <a class="PaginationItem PaginationItem--previous" title="Go to previous page (left-arrow)" href="{PreviousPage}">&#171; Previous</a>
	    {/block:PreviousPage}
	    {block:NextPage}
	    <a id="PaginationNext" class="PaginationItem PaginationItem--next" title="Go to next page (right-arrow)" href="{NextPage}">Next &#187;</a>
	    {/block:NextPage}
	  </div>
	  {/block:IndexPage}

	  {block:PermalinkPage}
	  {block:PermalinkPagination}
	  <div class="Pagination Pagination--permalinkPage">
            <a class="PaginationItem PaginationItem--home" title="Go to Homepage (up-arrow)" href="/">&#171;&#171; Home</a>
	    {block:NextPost}
	    <a class="PaginationItem PaginationItem--previous" title="Go to previous post (left-arrow)" href="{NextPost}">&#171; Previous</a>
	    {/block:NextPost}

	    {block:PreviousPost}
	    <a class="PaginationItem PaginationItem--next" title="Go to next post (right-arrow)" href="{PreviousPost}">Next &#187;</a>
	    {/block:PreviousPost}
	  </div>
	  {/block:PermalinkPagination}
	  {/block:PermalinkPage}
	</nav>
      </footer>
    </main>

    <div class="SiteScripts">
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
      <script src="https://unpkg.com/jquery.hotkeys"></script>
      <script>
       (function() {

	 var gotoNextPage = function() {
	   var el = document.querySelectorAll('.PaginationItem--next')[0];
	   if(!el) { return }
	   el.click();
	 }
	 
	 var gotoPreviousPage = function() {
	   var el = document.querySelectorAll('.PaginationItem--previous')[0];
	   if(!el) { return }
	   el.click();
	 }
	 var gotoHome = function() {
	   var el = document.querySelectorAll('.PaginationItem--home')[0];
	   if(!el) { return }
	   el.click();
	 }
	 
	 var setupKbd = function() {
	   $(document).bind('keyup', 'right', gotoNextPage);
	   $(document).bind('keyup', 'left', gotoPreviousPage)
	   $(document).bind('keyup', 'up', gotoHome)
	   $(document).bind('keyup', 't', toggleNav)
	 }

	 var toggleNav = function() {
           $('.SiteHeader').toggleClass('is-active');
           $('.NavToggle').toggleClass('is-active');
	 }

	 // init
	 $(document).ready(function() {
           $('.NavToggle').on('click', toggleNav);
	   setupKbd();
	 });
	 
       })()
      </script>

      {block:IfGoogleAnalyticsID}
      <script type="text/javascript">var gaJsHost=(("https:"==document.location.protocol)?"https://ssl.":"http://www.");document.write(unescape("%3Cscript src='"+gaJsHost+"google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));</script><script type="text/javascript">try{var pageTracker=_gat._getTracker("{text:Google Analytics ID}");pageTracker._trackPageview()}catch(err){}</script>
      {block:IfGoogleAnalyticsID}

      
    </div>

  </body>
</html>
